| Disk ARchive 2.8.1 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
libdar::contextual Class Referenceabstract
Private

the contextual class adds the information of phases in the generic_file More...

`#include <contextual.hpp>`

Inherited by libdar::sar, libdar::trivial_sar, libdar::trontextual, and libdar::zapette.

## Public Member Functions
| contextual (const contextual &ref)=default
| contextual (contextual &&ref) noexcept=default
contextual & | operator= (const contextual &ref)=default
contextual & | operator= (contextual &&ref) noexcept=default
virtual void | set_info_status (const std::string &s)
| defines the new contextual value
virtual std::string | get_info_status () const
| get the current contextual value
virtual bool | is_an_old_start_end_archive () const =0
| returns whether the archive is a old archive (format < 8)
virtual const label & | get_data_name () const =0
| obtain the data_name of the archive (label associated with the archive's data)

## Private Attributes
std::string | status

## Detailed Description

the contextual class adds the information of phases in the generic_file

several phases are defined like for example

- INIT phase
- OPERATIONAL phase
- LAST SLICE phase

these are used to help the command launched between slices to decide the action to do depending on the context when reading an archive (first slice / last slice read, ...) the context must also be transfered to dar_slave through the pair of tuyau objects

this class also support some additional informations common to all 'level1' layer of archive, such as:

- the data_name information

Definition at line 73 of file contextual.hpp.

## Constructor & Destructor Documentation

## ◆ contextual()

libdar::contextual::contextual | ( |  | ) |
| inline

Definition at line 76 of file contextual.hpp.

## ◆ ~contextual()

virtual libdar::contextual::~contextual | ( |  | ) |
| inlinevirtual

Definition at line 81 of file contextual.hpp.

## Member Function Documentation

## ◆ get_data_name()

virtual const label & libdar::contextual::get_data_name | ( |  | ) | const
| pure virtual

obtain the data_name of the archive (label associated with the archive's data)

Note
  label are conserved with dar_xform and archive isolation, but are not with archive merging or archive creation (full or differential backup)

Implemented in libdar::sar, libdar::trivial_sar, libdar::trontextual, and libdar::zapette.

Referenced by libdar::trontextual::get_data_name().

## ◆ get_info_status()

virtual std::string libdar::contextual::get_info_status | ( |  | ) | const
| inlinevirtual

get the current contextual value

Definition at line 91 of file contextual.hpp.

## ◆ is_an_old_start_end_archive()

virtual bool libdar::contextual::is_an_old_start_end_archive | ( |  | ) | const
| pure virtual

returns whether the archive is a old archive (format < 8)

Implemented in libdar::sar, libdar::trivial_sar, libdar::trontextual, and libdar::zapette.

Referenced by libdar::trontextual::is_an_old_start_end_archive().

## ◆ set_info_status()

virtual void libdar::contextual::set_info_status | ( | const std::string & | s | ) |
| inlinevirtual

defines the new contextual value

Note
  inherited class may redefine this call but but must call the parent method to set the value contextual:set_info_status()

Reimplemented in libdar::zapette.

Definition at line 88 of file contextual.hpp.

## Member Data Documentation

## ◆ status

std::string libdar::contextual::status
| private

Definition at line 103 of file contextual.hpp.

The documentation for this class was generated from the following file:

- contextual.hpp